<template>
  <v-card>
    <v-list-item two-line>
      <v-list-item-content>
        <v-list-item-title class="text-h5">
          {{ location.EnglishName }} {{ location.Country.EnglishName }}
        </v-list-item-title>
        <v-list-item-subtitle v-if="weatherLocation">{{ weatherLocation.WeatherText }}</v-list-item-subtitle>
      </v-list-item-content>
    </v-list-item>

    <div v-if="weatherLocation">
      <v-card-text>
        <v-row align="center">
          <v-col
              class="text-h2"
              cols="6"
          >
            {{weatherLocation.DewPoint.Metric.Value}}&deg;C
          </v-col>
          <v-col cols="6">
            <WeatherIcon :iconId="weatherLocation.WeatherIcon"></WeatherIcon>
          </v-col>
        </v-row>
      </v-card-text>

      <v-list-item>
        <v-list-item-icon>
          <v-icon>fa-wind</v-icon>
        </v-list-item-icon>
        <v-list-item-subtitle>{{ weatherLocation.Wind.Speed.Metric.Value }} {{ weatherLocation.Wind.Speed.Metric.Unit }}</v-list-item-subtitle>
      </v-list-item>

      <v-list-item>
        <v-list-item-icon>
          <v-icon>fa-droplet</v-icon>
        </v-list-item-icon>
        <v-list-item-subtitle>{{ weatherLocation.RelativeHumidity }}%</v-list-item-subtitle>
      </v-list-item>
    </div>
  </v-card>
</template>

<script>
import WeatherIcon from "@/components/WeatherIcon";
import {mapActions, mapGetters} from "vuex";
  export default {
    name: 'WeatherCard',
    components: {WeatherIcon},
    computed: {
      ...mapGetters({locationWeather: 'weather/locationWeather'}),
      weatherLocation () {
        return this.locationWeather(this.location.Key)
      }
    },
    props: {
      location: Object
    },
    methods: {
      ...mapActions({
        getWeather: 'weather/getWeather',
      }),
    },
    mounted() {
      this.getWeather(this.location.Key)
    }
  }
</script>
